<back to all web services

SitemapSettingsMessage

The following routes are available for this service:
All Verbs/RestApi/sitefinity/sitemap/settings
All Verbs/RestApi/sitefinity/sitemap/settings/{Id}
SitemapSettingsMessage Parameters:
NameParameterData TypeRequiredDescription
IdpathGuidNo
ItemquerySitemapSettingsNo
SitemapSettings Parameters:
NameParameterData TypeRequiredDescription
IsEnabledformboolNo
UrlLimitformintNo
CompressformboolNo
ConditionformSitemapGenerationConditionNo
DayToStartformintNo
TimeToStartformDateTimeNo
SiteIdformGuidNo
LastExecutionTimeformstringNo
LastErrorformstringNo
PingGoogleformboolNo
SitemapGenerationCondition Enum:
Daily
Weekly
Manual
SitemapSettingsContext Parameters:
NameParameterData TypeRequiredDescription
ItemformSitemapSettingsNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/sitefinity/sitemap/settings HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	Item: 
	{
		IsEnabled: False,
		UrlLimit: 0,
		Compress: False,
		Condition: Daily,
		DayToStart: 0,
		TimeToStart: 0001-01-01,
		LastExecutionTime: String,
		LastError: String,
		PingGoogle: False
	}
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	Item: 
	{
		IsEnabled: False,
		UrlLimit: 0,
		Compress: False,
		Condition: Daily,
		DayToStart: 0,
		TimeToStart: 0001-01-01,
		LastExecutionTime: String,
		LastError: String,
		PingGoogle: False
	}
}